package dmc;

/*
 * Copyright (C) 2002 Matthew Wronka <wronkm@rpi.edu>
 * This file is released under the GNU General Public License version 2,
 * a version of which should have been provided along with this file.
 *
 * You might also find a copy at:
 * http://dmc.sf.net/files/gpl.txt
 * http://www.fsf.org/copyleft/gpl.html
 */

import javax.swing.*;
import java.awt.*;

/**
 * Contains color constants for TabbedChat.
 *
 * @author Matthew Wronka <wronkm@rpi.edu>
 * @version 0
 */

class DmcColors {
	// Tab Colors
	public static final Color TAB_NORMAL	= new Color(0, 0, 0);
	public static final Color TAB_HIGHLIGHT	= new Color(100, 0, 0);

	// Font Colors
	public static final Color FONT_CLIENT	= new Color(100, 50 , 0);
	public static final Color FONT_WALL	= new Color(0, 0 , 200);
	public static final Color FONT_SERVER	= new Color(50, 0 , 100);
	public static final Color FONT_PRIVATE	= new Color(0, 200 , 200);
	public static final Color FONT_CHAT	= new Color(0, 0 , 0);
	public static final Color FONT_ISAY	= new Color(0, 0, 200);
	public static final Color FONT_USAY	= new Color(200, 0 , 0);
	public static final Color FONT_AUTO	= new Color(50, 100 , 0);

	public static Color colorNick(String nick) {
		int r, g, b;
		int cntAscii=0, cntVow=0;

		for(int i=nick.length(); --i >=0; ) {
			cntAscii+=nick.charAt(i);
			cntAscii%=200;

			switch(nick.charAt(i)) {
			case 'a': case 'A':
			case 'e': case 'E':
			case 'i': case 'I':
			case 'o': case 'O':
			case 'u': case 'U':
				cntVow+=nick.charAt(i);
				cntVow%=100;
				break;
			default:
				break;
			}
		}

		r = 200 - cntAscii;
		g = cntAscii;
		b = 100 - cntVow;

		return new Color(r, g, b);
	}


}
