/**
 * Most of these are definied in section 6 of RFC 1459
 */

package wtalk.protocols.irc;

public class IRCDefines {
	// WTalk specific...
	final static int MSG_PRIVMSG = 1;
	final static int MSG_SERVER = 2;
	final static int MSG_NOTICE = 3;




	// 6.1 Error Replies
	final static int ERR_NOSUCHNICK 	= 401;
	final static int ERR_NOSUCHSERVER 	= 402;
	final static int ERR_NOSUCHCHANNEL 	= 403;
	final static int ERR_CANNOTSENDTOCHAN 	= 404;
	final static int ERR_TOOMANYCHANNELS 	= 405;
	final static int ERR_WASNOSUCHNICK 	= 406;
	final static int ERR_TOOMANYTARGETS 	= 407;
	final static int ERR_NOORIGIN	= 409;
	final static int ERR_NORECIPIENT	= 411;
	final static int ERR_NOTETTOSEND	= 412;
	final static int ERR_NOTOPLEVEL 	= 413;
	final static int ERR_WILDTOPLEVEL	= 414;
	final static int ERR_UNKNOWNCOMMAND	= 421;
	final static int ERR_NOMOTD	= 422;
	final static int ERR_NOADMININFO	= 423;
	final static int ERR_FILEERROR	= 424;

	// 6.2 Command Responses
	final static int RPL_NONE 	= 300;
	final static int RPL_USERHOST 	= 302;
	final static int RPL_ISON 	= 303;
	final static int RPL_AWAY 	= 301;
	final static int RPL_UNAWAY 	= 305;
	final static int RPL_NOWAWAY 	= 306;
	final static int RPL_WHOISUSER 	= 311;
	final static int RPL_WHOISSERVER 	= 312;
	final static int RPL_WHOISOPERATOR 	= 313;
	final static int RPL_WHOISIDLE 	= 317;
	final static int RPL_ENDOFWHOIS 	= 318;
	final static int RPL_WHOISCHANNELS 	= 319;
	final static int RPL_WHOWASUSER 	= 314;
	final static int RPL_ENDOFWHOWAS 	= 369;
	final static int RPL_LISTSTART 	= 321;
	final static int RPL_LIST 	= 322;
	final static int RPL_LISTEND 	= 323;
	final static int RPL_CHANNELMODEIS 	= 324;
	final static int RPL_NOTOPIC 	= 331;
	final static int RPL_TOPIC 	= 332;
	final static int RPL_INVITING 	= 341;
	final static int RPL_SUMMONING 	= 342;
	final static int RPL_VERSION 	= 351;
	final static int RPL_WHOREPLY 	= 352;
	final static int RPL_ENDOFWHO 	= 315;
	final static int RPL_NAMEREPLY 	= 353;
	final static int RPL_ENDOFNAMES 	= 366;
	final static int RPL_LINKS 	= 364;
	final static int RPL_ENDOFLINKS 	= 365;
	final static int RPL_BANLIST 	= 367;
	final static int RPL_ENDOFBANLIST 	= 368;
	final static int RPL_INFO 	= 371;
	final static int RPL_ENDOFINFO 	= 374;
	final static int RPL_MOTDSTART 	= 375;
	final static int RPL_MOTD 	= 372;
	final static int RPL_ENDOFMOTD 	= 376;
	final static int RPL_YOUREOPER 	= 381;
	final static int RPL_REHASHING 	= 382;
	final static int RPL_TIME 	= 391;
	final static int RPL_USERSTART 	= 392;
	final static int RPL_USERS 	= 393;
	final static int RPL_ENDOFUSERS 	= 394;
	final static int RPL_NOUSERS 	= 395;
	final static int RPL_TRACELINK 	= 200;
	final static int RPL_TRACECONNECTING 	= 201;
	final static int RPL_TRACEHANDSHAKE 	= 202;
	final static int RPL_TRACEUNKNOWN 	= 203;
	final static int RPL_TRACEOPERATOR 	= 204;
	final static int RPL_TRACEUSER 	= 205;
	final static int RPL_TRACESERVER 	= 206;
	final static int RPL_TRACENEWTYPE 	= 208;
	final static int RPL_TRACELOG 	= 261;
	final static int RPL_STATSLINKINFO 	= 211;
	final static int RPL_STATSCOMMANDS 	= 212;
	final static int RPL_STATSCLINE 	= 213;
	final static int RPL_STATSNLINE 	= 214;
	final static int RPL_STATSILINE 	= 215;
	final static int RPL_STATSKLINE 	= 216;
	final static int RPL_STATSYLINE 	= 218;
	final static int RPL_ENDOFSTATS 	= 219;
	final static int RPL_STATSLLINE 	= 241;
	final static int RPL_STATSUPTIME 	= 242;
	final static int RPL_STATSOLINE 	= 243;
	final static int RPL_STATSHLINE 	= 244;
	final static int RPL_UMODEIS 	= 221;
	final static int RPL_LUSERCLIENT 	= 251;
	final static int RPL_LUSEROP 	= 252;
	final static int RPL_LUSERUNKNOWN 	= 253;
	final static int RPL_LUSERCHANNELS 	= 254;
	final static int RPL_LUSERME 	= 255;
	final static int RPL_ADMINME 	= 256;
	final static int RPL_ADMINLOC1 	= 257;
	final static int RPL_ADMINLOC2 	= 258;
	final static int RPL_ADMINEMAIL 	= 259;


	// 6.3 Reserved numerics



	// Other Non-Standard
	final static int NS_RPL_ENDTOPIC	= 333;

}
